import http from "http";
import { Program, Address, ProgramClient } from "@peerbit/program";
export declare const SSL_PORT = 9002;
export declare const LOCAL_PORT = 8082;
export declare const getPort: (protocol: string) => 8082 | 9002;
export declare const checkExistPath: (path: string) => Promise<boolean>;
export declare const createPassword: () => Promise<string>;
export declare const loadPassword: () => Promise<string>;
export declare const loadOrCreatePassword: () => Promise<string>;
export declare const startServerWithNode: (directory: string, domain?: string) => Promise<void>;
export declare const startServer: (client: ProgramClient, port?: number) => Promise<http.Server>;
export declare const client: (endpoint?: string) => Promise<{
    peer: {
        id: {
            get: () => Promise<any>;
        };
        addresses: {
            get: () => Promise<import("@multiformats/multiaddr").Multiaddr[]>;
        };
    };
    program: {
        get: (address: Address | string) => Promise<Program | undefined>;
        /**
         * @param program Program, or base64 string representation
         * @param topic, topic
         * @returns
         */
        put: (program: Program | string) => Promise<Address>;
    };
    library: {
        put: (name: string) => Promise<void>;
    };
}>;
